## python-test-server 0.0.27

=== Makefile ===
.PHONY: clean upload viewdoc

clean:
	find -name '*.pyc' -delete
	find -name '*.swp' -delete
	find -name __pycache__ -delete

upload:
	git push --tags; python setup.py sdist upload

viewdoc:
	x-www-browser docs/_build/html/index.html

=== debian/changelog ===
python-test-server (0.0.27-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 27 Jul 2019 01:09:58 +0200

python-test-server (0.0.27-1) unstable; urgency=low

  * Initial release (Closes: #873454)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 10 Mar 2018 23:58:57 +0000

=== debian/control ===
Source: python-test-server
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Standards-Version: 4.1.3
Build-Depends: debhelper-compat (= 11),
	dh-python,
	python3-all,
	python3-filelock,
	python3-psutil,
	python3-setuptools,
	python3-six,
	python3-tornado,
	python3-pytest,
	python3-pytest-cov
Rules-Requires-Root: no
Homepage: https://github.com/lorien/test_server
Vcs-Git: https://salsa.debian.org/python-team/modules/python-test-server.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-test-server

Package: python3-test-server
Architecture: all
Depends: python3,
	${python3:Depends},
	${misc:Depends}
Description: HTTP Server to test HTTP clients (Python 3)
 HTTP server for unit tests of Python programs or libraries.
 This package also contains the test_server program.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=test-server
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

# disable tests for now
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	rm -f ${CURDIR}/debian/python-test-server/usr/bin/test_server

## python-test-server 0.0.40

=== Makefile ===
.PHONY: build venv deps clean release check test docs

build: venv deps

venv:
	virtualenv -p python3 .env

deps:
	.env/bin/pip install -r requirements_dev.txt

clean:
	find -name '*.pyc' -delete
	find -name '*.swp' -delete
	find -name __pycache__ -delete

release:
	git push; git push --tags; rm dist/*; python3 setup.py clean sdist; twine upload dist/*

check:
	python setup.py check -s \
		&& pylint setup.py test_server tests \
		&& flake8 setup.py test_server tests \
		&& pytype setup.py test_server tests \
		&& mypy setup.py test_server tests

test:
	coverage run -m pytest \
		&& coverage report -m

docs:
	rm -r docs/_build \
		&& sphinx-build -b html docs docs/_build

=== debian/changelog ===
python-test-server (0.0.40-1) unstable; urgency=medium

  * New upstream release
  * Activate unittests and add autopkgtest
  * Bump debhelper to 13

 -- Martin <debacle@debian.org>  Thu, 03 Nov 2022 23:44:11 +0000

python-test-server (0.0.27-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Add debian/watch file, using pypi.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 12:34:34 -0400

=== debian/control ===
Source: python-test-server
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Standards-Version: 4.1.3
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all,
	python3-pytest,
	python3-pytest-cov,
	python3-setuptools,
	python3-urllib3,
Rules-Requires-Root: no
Homepage: https://github.com/lorien/test_server
Vcs-Git: https://salsa.debian.org/python-team/packages/python-test-server.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-test-server

Package: python3-test-server
Architecture: all
Depends: python3,
	${python3:Depends},
	${misc:Depends}
Description: HTTP Server to test HTTP clients (Python 3)
 HTTP server for unit tests of Python programs or libraries.
 This package also contains the test_server program.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=test-server

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f ${CURDIR}/debian/python-test-server/usr/bin/test_server

=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: @, python3-pytest, python3-urllib3

=== debian/watch ===
version=4
https://pypi.debian.net/test-server/test-server-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-test-server 0.0.43

=== debian/changelog ===
python-test-server (0.0.43-1) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Add d/gbp.conf
  * Tweak watch file
  * New upstream version 0.0.43 (Closes: #1082271, #1084646)
  * Add build-dep on pybuild-plugin-pyproject

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Nov 2024 18:46:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Martin <debacle@debian.org>
 Standards-Version: 4.1.3
 Build-Depends: debhelper-compat (= 13),
-	dh-python,
+	dh-sequence-python3,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-pytest,
 	python3-pytest-cov,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=test-server

# the two identicaly named files confuses pybuild/pytest
export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/tests/ ; cp {dir}/tests/test_server.py {build_dir}/tests/test_server_.py ; cp {dir}/tests/test_httpheaderstorage.py {build_dir}/tests/ ; find {build_dir}
export PYBUILD_TEST_ARGS=tests/test_httpheaderstorage.py tests/test_server_.py

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -f ${CURDIR}/debian/python-test-server/usr/bin/test_server

=== debian/tests/control ===
Test-Command: mv tests/test_server.py tests/test_server_.py && python3 -m pytest tests
Depends: @, python3-pytest, python3-urllib3

=== debian/watch ===
version=4
https://pypi.debian.net/test-server/test[-_]server-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
